h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}




/* End BLAZOR Standard classes */

:root {
    --gpgreen: #009716;
    --gpdarkgreen: #016710;
    --gplightgreen: #6bc36e;
    --gpgreen3: #8bdd8d;
    --gpwhite: #ffffff;
    --gpback: #dcf5dd;
    --gpcancel: #e5e139;
    --gperror: #e50000;
    --gpshadow: #26b050;
    --gpborder: #27cf1f;
    --gpnavitem: #013909;
    --gpnavback: #cdffdc;
}

html {
    font-size: 15px;
    font-family: 'Aptos','Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    
}



body {
    /*margin-bottom: 600px;*/
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    margin: 0px;
}


.shh {
    visibility: hidden;
    height: 5px;
}




a {
    color: var(--gpdarkgreen);
    font-weight: 500;
}

    a:hover {
        color: black;
        font-weight: 600;
        transition: 200ms;
    }

    a:focus {
        color: var(--gpdarkgreen);
        box-shadow: var(--gplightgreen) 1px 2px;
    }


.hr {
    display: flex;
    justify-content: center;
}

hr {
    border-bottom: 2px solid var(--gpdarkgreen);
    width: 85%;
}


.gplogo {
    height: min(3vw, 30px);
}


.top-row {
    background-color: var(--gpnavback);
    height: 3.5rem;
    display: flex;
    align-content: center;
    justify-content: flex-start;
    flex-wrap: wrap;
}

    .top-row a, .top-row .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
        color: var(--gpnavitem);
        font-size: min(2.85vw, 1.25rem);
        border-width: 1px;
        border-style: solid;
        border-color: #cdffdc;
        padding: 1px;
    }

        .top-row a:hover, .top-row .btn-link:hover {
            background-color: rgb(255,255,255,0.35);
            border-color: var(--gplightgreen);
        }

        .top-row a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

.gpcontent {
    max-width: inherit;
    margin: 0 0 0 0;
    background-image: linear-gradient(180deg, var(--gpgreen), var(--gpwhite));
    
}


h1 {
    font-family: "Eras ITC","Aptos",'Sans Serif Collection';
    font-size: 1.8rem;
    padding: 0;
    margin: 1px;
}

h2 {
    font-family: "Eras ITC",'Aptos','Sans Serif Collection';
    font-size: 1.60rem;
    color: var(--gpgreen);
}

h3 {
    color: var(--gpgreen);
    font-family: 'Eras ITC', sans-serif;
    font-size: 1.5rem;
}


.my20qnav{
    height: 1.75rem;

}


.gptitle {
    font-family: 'Eras ITC', 'Arial Narrow', Arial, sans-serif;
    font-size: 1.75rem;
    text-align: center;
    font-weight: bold;
    max-width: 100%;
    color: var(--gpdarkgreen);
    padding: 3px 3px 9px 3px;
}

.greenrow {
    padding: 0px;
    background-color: var(--gplightgreen);
    min-height: 100px;
    border-radius: 5px;
    margin-top: 1.5rem;
    align-content: center;
    border: 2px solid green;
}

.whiterow {
    padding: 0px;
    background-color: white;
    min-height: 100px;
    border-radius: 5px;
    margin-top: 1.5rem;
    align-content: center;
    border: 1px solid var(--gplightgreen);
    max-width: 100%;
    justify-self: center;
}


.first-line-indent {
    text-indent: 3rem;
}

.btn-primary {
    color: #fff;
    background-color: var(--gpgreen);
    border-color: var(--gpborder);
    transition: 0.3s linear;
}

    .btn-primary:hover {
        color: var(--gpgreen);
        background-color: #fff;
        border-color: var(--gpborder);
    }

.btn-secondary {
    color: #000;
    background-color: var(--gplightgreen);
    border-color: var(--gpborder);
}

.list-group-item {
    border: none !important;
    padding: 3px;
}


.gptext {
    font-size: 1.0rem;
    text-align: left;
    color: black;
}

.gpcard {
    margin-top: 25px;
    margin-bottom: 25px;
    border: 0;
}

    .gpcard .card-header {
        background-color: white;
        border: 0;
        border-bottom: 1px solid green;
    }


.gpcard2 {
    margin-top: 5px;
    margin-bottom: 5px;
    padding: 0;
    border: solid 1px var(--gpgreen);
}

    .gpcard2 .card-header {
        background-color: #cdffdc;
        font-size: 1.2rem;
        
    }

.gpcuform {
    width: 50%;
    max-width: 700px;
}

@media (max-width: 992px ) {
    .gpcuform {
        width: 75%;
        max-width: 530px;
    }
}

@media (max-width: 600px ) {
    .gpcuform {
        width: 85%;
        max-width: 530px;
    }
}


.form-control
{
    width: 80%;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem var(--gpdarkgreen);
    background-color: var(--gbback);
}

.btn:hover {
    background-color: var(--gplightgreen);
}

.errMessage {
    color: crimson;
    font-size: 1.0rem;
    font-style: italic;
    border: 2px maroon solid;
    border-radius: 10px;
    padding: 5px;
    margin-top: 3px; 
}

    .errMessage h3
    {
        font-style: normal;
        font-size: 1.2rem;
        color: maroon;
        
    }


.gpsvctitle
{
    color: var(--gpdarkgreen);
    font-weight: 550;
    padding: 0;
    margin: 0;
}

.gpsmallcard {
    height: 14vh;
    width: 200px;
    border-radius: 5px;
    font-size: max(1.3vh,1.1rem);
    margin-top: 0;
    margin-bottom: 0;
    box-shadow: var(--gplightgreen) 5px 5px;
    font-family: 'Eras ITC', sans-serif;
    justify-content: center;
}


.gppricingflex {
    display: flex;
    flex-direction: row;
    gap: 16px;
    margin-top: 12px;
    flex-wrap: wrap;
   
}



.gppricingcard {
    /*height: auto;
    min-height: 400px;
    width: 32%;*/
    max-width: 32%;
    flex-basis: 100%;
    text-align: center;
    border-radius: 5px;
    font-size: 1.1rem;
    margin-top: 3px;
    margin-bottom: 0;
    box-shadow: var(--gplightgreen) 5px 5px;
    font-family: 'Eras ITC', sans-serif;
    
}



    


.gppricingbody {
    
    justify-content: start;
    
}

    

    .gppricingcard:nth-child(even) {
        background-color: var(--gpdarkgreen);
        color: white;
    }

        .gppricingcard:nth-child(even) a {
            color: gold;
            text-decoration: none;
        }

    .gppricingcard:nth-child(even) h3 {
        color: gold;
    }
    
    .gppricingcard:nth-child(even) h4 {
        color: gold;
    }

    .gppricingcard:nth-child(odd) {
        background-color: white;
        color: var(--gpdarkgreen);
    }


    .gppricingbody h3
    {
        font-size: 1.65rem;
    }

    .gppricingbody h4
    {
        font-size: 1.25rem;
    }

    .gppricingbody li
    {
        text-align: left;
        font-weight: 400;
        font-size: 0.95rem;
    }

.gpsidetext
{
    font-size: 0.9rem;
    font-style: italic;
}






.gpannouncement {
    font-family: 'Eras ITC', 'Arial Narrow', Arial, sans-serif;
    font-size: 1.20rem;
    
    color: var(--gpdarkgreen);
}



.richpic {
    float: left;
    width: min(375px, 99%);
    padding: 10px;
    transition: 0.5s linear;
}


.abouttext {
    color: gold;
    font-family: 'Aptos', Arial, 'Sans Serif Collection';
}

.abouttext a
{
    color: yellow;
}
    .abouttext a:hover
    {
        border: 1px solid gold;
        transition: 250ms;
    }



.gpcenter {
    display: flex;
    justify-content: center;
    align-items: center;
}


.hometitle {
    justify-self: center;
    width: 70%;
    text-align: center;
}

.hometitle h2
{
    color: black;
    font-size: 1.3rem;
    padding: 2px;
}

.my20q {
    font-family: "Tw Cen MT",'Sans Serif Collection';
    font-weight: 600;
}

.my20qtext {
    height: max(10%, 24px);
    width: max(50%, 65px);
    max-width: 350px;
}



.my20qcontainer {
    height: 95%;
    overflow-y: auto;
}



.gpflex {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    align-content: center;
    justify-content: space-evenly;
    text-align: center;
    gap: 8px;
}




.gpflexitem {
}

    .gpflexitem .card-body {
        align-content: center;
    }


    .gpflexitem:nth-child(even) {
        background-color: var(--gpdarkgreen);
        color: white;
    }


    .gpflexitem:nth-child(odd) {
        background-color: white;
        color: var(--gpdarkgreen);
    }



.custsection {
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: space-between;
    border-top: 1px var(--gpgreen) solid;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    margin: 5px;
    width: 90%;
    justify-self: center;
}

.custcard {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: space-between;
    
}

.custbadge
{
    width: 35%;
    
}

.custbadgeimg {
    max-height: 150px;
    max-width: 200px;
    border: none;
}

.custbody 
{
    display: flex;
    flex-direction: column;
    width: 65%;
    
    justify-content: center;
    align-content: center;
}

.custtitle {
    font-weight: bold;
    font-size: 1.2rem;
}



.rightimage {
    padding: 0;
    margin: 0;
    float: right !important;
    height: 380px;
    max-height: 100%;
    max-width: 100%;
    object-fit: contain;
}

.leftimage {
    padding: 0;
    margin: 0;
    float: left !important;
    height: 380px;
    max-height: 100%;
    max-width: 100%;
    object-fit: contain;
}

.hometextcard
{
    display: flex;
    flex-direction: row;
    background: white;
    border: 1px solid green;
    border-radius: 10px;

    padding: 0 0 8px 4px;;

}


.hometextdiv
{
    width: 75%;
}


.hometextdiv .gptext
{
    font-size: 0.9rem; 
}

.webdevdiv 
{
    padding: 0;
    
    
}


.buttonfooter {
    display: flex;
    justify-content: space-evenly;
    margin: 8px 0 8px 0  ;
    align-content: center;
}


    /* ****  Media queries */

/* Smartphones (portrait) ----------- */
@media only screen and (max-width: 600px) and (orientation: portrait) {

    h1 
    {
        font-size: 1.3rem;
    }

    
    .gppricingcard {
        max-width: 95%;
        margin-top: 2px;
        
    }

    
    .gppricingbody h3 {
        font-size: 1.35rem;
    }

    .gppricingbody h4 {
        font-size: 1.10rem;
    }


    .gpsidetext {
        font-size: 0.85rem;
    }

    .ani-gplogo
    {
        width: 200px;
    }

    .my20qnav {
        height: 1.15rem;
    }


    .custsection {
        align-content: center;
        justify-content: center;
        margin: 3px;
        width: 99%;
        
    }


    .custcard {
        display: flex;
        flex-direction: column;
        

    }


    .custbadge {
        width: 100%;
    }

    

    .custbody {
        width: 95%;
    }


    .custbadgeimg {
        max-height: 100px;
        max-width: 100px;
        border: none;
    }


    

}

@media (max-width: 900px)  {
    .webdevdiv {
        display: none;
        justify-content: center;
    }

    .hometextdiv {
        width: 99%;
    }

    .hometitle
    {
        width: 100%;
    }

    .hometitle h2
    {
       font-size: 1.1rem;
    }



    
}


    /***************  animations ************** */
    @keyframes kf-gppopbutton {
        0% {
            transform: scale(1.0);
        }

        10% {
            transform: scale(1.10);
            box-shadow: 10px 10px 5px var(--gpdarkgreen);
        }
    }

    .ani-gppopbutton {
        animation: kf-gppopbutton 2.5s ease infinite;
    }



    @keyframes kf-gplogo {
        0% {
            transform: scale(0.25) rotateY(0deg);
        }
        /*
    25% {

        transform: scale(0.4) rotateZ(-90deg) translateX(0);
    }
  
    50% {
        transform: scale(0.4) rotateZ(-180deg) translateX(-450px);
    }

  
    75% {
        transform: scale(0.4) rotateZ(-270deg) translateX(300px);
    }
    */

        100% {
            transform: scale(1) rotate(-360deg);
            background-color: #cdffdc29;
            border-radius: 20px;
        }
    }



    .ani-gplogo {
        animation: kf-gplogo 2s ease-in-out forwards;
    }


    @keyframes kf-m20qlogo {
        0% {
            /*transform: scale(0.25) rotateY(0deg);*/
            transform: translateX(-1000px) rotateY(-360deg);
        }
        /*
    25% {

        transform: scale(0.4) rotateZ(-90deg) translateX(0);
    }
    */
        50% {
            transform: translate(-500px) rotateY(-180deg);
        }
        /*
  
    75% {
        transform: scale(0.4) rotateZ(-270deg) translateX(300px);
    }
    */

        100% {
            transform: translate(0px) rotateY(0deg);
            background-color: yellow;
            border-radius: 5px;
            margin-top: 1rem;
            padding: 3px;
        }
    }



    .ani-m20qlogo {
        animation: kf-m20qlogo 2s ease-in-out forwards;
    }


    @keyframes kf-card-zoom-out {
        0% {
            transform: scale(0.5);
            border-radius: 40px;
        }



        50% {
            transform: scale(1);
        }


        100% {
            border-radius: 5px;
        }
    }

    .ani-card-zoom {
        animation: kf-card-zoom-out 1s ease-in;
        animation-iteration-count: 1;
    }

    @keyframes kf-skew {
        0% {
            transform: translate(0, 0);
        }

        50% {
            transform: translate(0, -5px);
        }
    }

    .ani-skew1 {
        animation: kf-skew 2s linear infinite;
        animation-delay: 1s;
        display: inline-block;
    }

    .ani-skew2 {
        animation: kf-skew 4s linear infinite;
        animation-delay: 4s;
        display: inline-block;
    }

    @keyframes kf-bold {
        0% {
            transform: scale(1);
            /*font-weight: 400;*/
        }

        50% {
            transform: scale(1.2);
            /*font-weight: 700;*/
        }

        75% {
            transform: scale(0.75);
            /*font-weight: 300;*/
        }
    }

    .ani-bold {
        animation: kf-bold 3s linear infinite;
        display: inline-block;
    }

    @keyframes kf-gpgradient {
        0% {
            /*background: linear-gradient(to right, white, #8bdd8d, white);*/
            background-position: 0% 50%;
        }

        50% {
            background-position: 100% 100%;
        }

        100% {
            /*background: linear-gradient(to right, #8bdd8d, white, #8bdd8d);*/
            background-position: 0% 50%;
        }
    }



    .gpgradient {
        animation: kf-gpgradient 30s ease-in-out infinite;
        background: linear-gradient(to right, white, #8bdd8d, white, #8bdd8d, white);
        background-size: 200% 200%;
    }

